Subject: Re: [bug#70280] [PATCH 3/5] locale: Shrink‘%default-locale-definitions’ from 34 to 10 locales.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 09 Apr 2024 21:38:12 +0200

Hello Ludo.  Even though with my base commit I get 70MB more than you do
(from 1460.5MB down to 1296.1MB), your patches still bring good
improvement.

So (operating-system-locale-definitions os) can now be changed to
something other than operating-system-locale-definitions that does not
include locale.  Perhaps this is useful when one does not want utf8 but
EUC-JP like in the “info "(guix)Locales"”?  Okay.

I agree with shrinking default locales, but do not understand what
benefit it brings that U.N. languages are always included.  Perhaps it
would be more useful to include en_US only?  Locales like fr_CA and
ar_JO do not even have separate teams on translationproject.org.  There
are reasons for developers to include interesting locales for testing
like tr_TR or az_AZ, where capitalized i is İ and small I is ı, breaking
all kinds of programs, but few people would know.

Regards,
Florian